/*------------------------------------*\
    #OBJECTS.BUTTON
\*------------------------------------*/

/**
 * Button styles based on inuitcss' button object.
 */

$inuit-btn-background: $drk-color-btn;
$inuit-btn-background-hover: $drk-color-btn-hover;

$inuit-enable-btn--small: true;
$inuit-enable-btn--large: true;
$inuit-enable-btn--full: true;
$inuit-enable-btn--pill: true;

@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

@import '../../../Public/Vendor/inuit-buttons/objects.buttons';

.#{$inuit-namespace}btn,
%#{$inuit-namespace}btn {
    background: $inuit-btn-background;
    border-color: $inuit-btn-background;
    height: $drk-base-unit-small;
    line-height: $drk-base-unit-small;
    padding: 0 $drk-base-unit-small * .625;
    transition: .15s all ease;

    @include drk-hover {
        background: $inuit-btn-background-hover;
        border-color: $inuit-btn-background-hover;
    }

    &__margin-top {
        margin-top: 60px;
    }
}
